org.apache.felix.ipojo.manipulator.metadata.annotation.visitor

## Class InstantiateVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.InstantiateVisitor

    public class InstantiateVisitor
    extends org.objectweb.asm.AnnotationVisitor

Parse the @Instantitate annotation.

Author:
  Felix Project Team
See Also:
  `Instantiate`

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`InstantiateVisitor(ComponentWorkbench workbench)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visit(String name, Object value)` Visit an annotation attribute.
`void` `visitEnd()` End of the visit.

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitAnnotation, visitArray, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstantiateVisitor

    public InstantiateVisitor(ComponentWorkbench workbench)

### Method Detail

#### visit

    public void visit(String name,
                      Object value)

Visit an annotation attribute.

Overrides:
  `visit` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - the attribute name
  `value` - the attribute value
See Also:
  `AnnotationVisitor.visit(java.lang.String, java.lang.Object)`

#### visitEnd

    public void visitEnd()

End of the visit. Creates the instance element.

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`
See Also:
  `AnnotationVisitor.visitEnd()`